Subject: [PATCH 3/3] ARM: twd_smp: add clock api support

From: [email-masked] (Rob Herring)
Date: Fri, 01 Oct 2010 13:47:15 -0500

On 10/01/2010 01:34 PM, Russell King - ARM Linux wrote:
> On Fri, Oct 01, 2010 at 11:22:31AM -0700, Colin Cross wrote:
>> The timer APIs require that a timer take at least as long as requested
>> to fire.  If you change the TWD prescaler before the CPU frequency
>> increases, or after the CPU frequency decreases, the timer interrupt
>> will not fire until a small time after the requested time.
>
> That maybe - and for TWD which is used for local timer purposes only,
> that's fine.  What wouldn't be fine is if your clocksource counter
> changes frequency...
>
> In any case, I'm not sure that passing in a struct clk pointer is
> really the right way to go - the point of the clk API is to remove
> such passing of static structures.
>
> How about instead using clk_get_sys() to obtain a clock for the TWD?

Okay. Opinions on the name: periphclk, arm_twd, twd?
>
> Do we need separate connection IDs for each TWD, or are all TWDs in
> a system always clocked together?

A9 is 1 clock for all. Probably is likely that they will always be 
symmetric.

Rob